Bug 87214 - Fix warning issued during make index
Fix warning issued during make index
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: portmgr
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-10 17:00 UTC by vd
Modified: 2006-01-21 19:51 UTC (History)
0 users

See Also:


Attachments
bsd.port.mk.diff (544 bytes, patch)
2005-10-10 17:00 UTC, vd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description vd 2005-10-10 17:00:31 UTC
games/atitd has redefined the `checksum' target, which causes warning in
make describe.

Btw I noted that this warning is not issued on the nearby PC with the
same version of FreeBSD:
FreeBSD zybyt.bg.datamax 6.0-RC1 FreeBSD 6.0-RC1 #0: Sun Sep 11 16:39:23 EEST 2005     root@zybyt.bg.datamax:/usr/obj/usr/src/sys/ZYBYT  i386

Any suggestions?

How-To-Repeat: 
/usr/ports/games/atitd# make describe
"/usr/ports/Mk/bsd.port.mk", line 2890: warning: duplicate script for target "checksum" ignored
atitd-1.0_2|/usr/ports/games/atitd|/usr/local|The Linux "A Tale in the Desert" (ATITD) client|/usr/ports/games/atitd/pkg-descr|ports@FreeBSD.org|games graphics linux|||||/usr/ports/emulators/linux_base-8 /usr/ports/graphics/linux_dri /usr/ports/x11/xorg-clients|http://www.atitd.com/
/usr/ports/games/atitd#
Comment 1 mnag freebsd_committer 2005-10-10 20:46:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

portmgr territory.
Comment 2 kris 2005-10-21 01:01:58 UTC
Would it be better to make the targets use :: instead of :?

Do you know why this only shows up on !i386?  I've seen this for a
long time but never tried to track it down.

Kris
Comment 3 Mark Linimon freebsd_committer 2005-12-19 01:31:07 UTC
State Changed
From-To: open->analyzed

Accepted for testing on the cluster.
Comment 4 Mark Linimon freebsd_committer 2006-01-21 19:51:37 UTC
State Changed
From-To: analyzed->closed

Committed, thanks.